{ lib, config, ... }:
let
  inherit (lib) mkIf;
in
mkIf config.programs.ssh.enable {
  programs.ssh = {
    addKeysToAgent = "confirm";
    matchBlocks = {
      deck = {
        hostname = "steamdeck";
        user = "deck";
        port = 22;
      };
      #      dockervm = {
      #hostname = "192.168.178.22";
      #user = "nydragon";
      #port = 22;
      #};
      #     raptus = {
      #hostname = "vps.ccnlc.eu";
      #user = "ny";
      #port = 56528;
      #};
      #shan = {
      #hostname = "192.168.178.27";
      #user = "root";
      #port = 22;
      #};
    };
  };
}
